%define	major 1
%define	libname %mklibname shp %{major}
%define	develname %mklibname shp -d

Summary:	API in "C" for Shapefile handling
Name:		shapelib
Version:	1.3.0
Release:	%mkrel 10
License:	LGPL and MIT
Group:		Sciences/Geosciences
URL:		http://shapelib.maptools.org/
Source0:	http://download.osgeo.org/%{name}/%{name}-%{version}.tar.gz
# Patches from Fedora:
# Upstream is notified about these modifications: http://bugzilla.maptools.org/show_bug.cgi?id=2447
Patch0:		shapelib-1.3.0-autotools.patch
# Backports from gdal bundled shapelib
Patch1:		shapelib-1.3.0-shapelib_backports.patch
Requires:	proj >= 4.4.1
BuildRequires:	proj-devel

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{libname}
Summary:	API in "C" for Shapefile handling
Group:		System/Libraries
# Drop when major changes
Obsoletes:	%{_lib}shapelib1 < 1.3.0

%description -n	%{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{develname}
Summary:	API in "C" for Shapefile handling
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}shapelib-devel < 1.3.0

%description -n	%{develname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--disable-static

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{name}
%doc README.tree web/*.html
%doc contrib/doc/shpproj.txt
%{_bindir}/*

%files -n %{develname}
%{_includedir}/shapefil.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libshp.so

%files -n %{libname}
%{_libdir}/libshp.so.%{major}*


%changelog
* Fri May 20 2016 eatdirt <eatdirt> 1.3.0-10.mga6
+ Revision: 1017179
- Rebuild for new libproj

* Fri May 20 2016 tv <tv> 1.3.0-8.mga6
+ Revision: 1017113
- rebuild for new libproj

* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-7.mga6
+ Revision: 947513
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 740040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 689131
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 wally <wally> 1.3.0-4.mga5
+ Revision: 634297
- readd lib pkg
- fix lib and devel pkg names
- switch to autotools (patch from Fedora)
- backport some changes from gdal bundled shapelib (patch from Fedora)

  + solbu <solbu>
    - Fix license tag
    - Re-add devel package

* Mon Oct 08 2012 neoclust <neoclust> 1.3.0-3.mga3
+ Revision: 303506
- Remove lib and devel package ( there is none anymore)

* Sat Oct 06 2012 dlucio <dlucio> 1.3.0-2.mga3
+ Revision: 302992
- fix conflicts

* Mon Oct 01 2012 obgr_seneca <obgr_seneca> 1.3.0-1.mga3
+ Revision: 301692
- New version

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 1.2.10-8.mga3
+ Revision: 254561
- Rebuild for new proj

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 1.2.10-7.mga1
+ Revision: 89047
- cleaned up spec file
- imported package shapelib

